Summary:	Networking with the isdn subsystem
Name:		isdn4net
Version:	1.4.6
Release:	%mkrel 13

License:	GPL
Group:		System/Kernel and hardware
Source0:	%{name}-%{version}.tar.bz2
Patch0:         isdn4net-1.4.6-isdnlog.patch.bz2
Patch1:         isdn4net-1.4.6-dialmode.patch.bz2
Patch2:         isdn4net-1.4.6-init-typo-fixes.patch.bz2
Patch3:         isdn4net-1.4.6-dial-on-ifup.patch.bz2
Patch4:         isdn4net-multiple-cards.diff.bz2
Patch5:         isdn4net-1.4.6-fix-link-remove-bug.diff.bz2
Patch6:         isdn4net-1.4.6-create-devices.patch.bz2
URL:		http://www.isdn4net.berlios.de
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
PreReq:		rpm-helper
Conflicts:	isdn-light

%description
This package provides several scripts to do networking with isdn4linux, several
sample configurations for card and ippp setup and small configuration and
admin utility.

%prep

%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p0 -b .typos
%patch3 -p0
%patch4 -p0
%patch5 -p1
%patch6 -p1 -b .udev

%install
install -d $RPM_BUILD_ROOT/%{_sysconfdir}/sysconfig/network-scripts
install network-scripts/ifup-ippp $RPM_BUILD_ROOT/%{_sysconfdir}/sysconfig/network-scripts
install network-scripts/ifdown-ippp $RPM_BUILD_ROOT/%{_sysconfdir}/sysconfig/network-scripts
install network-scripts/ifup-isdn $RPM_BUILD_ROOT/%{_sysconfdir}/sysconfig/network-scripts
install network-scripts/ifdown-isdn $RPM_BUILD_ROOT/%{_sysconfdir}/sysconfig/network-scripts

# Install default config files
install -m 644 defaults/ifcfg-ippp0 $RPM_BUILD_ROOT/%{_sysconfdir}/sysconfig/network-scripts/ifcfg-ippp0
#install defaults/ifcfg-isdn0 $RPM_BUILD_ROOT/%{_sysconfdir}/sysconfig/network-scripts/ifcfg-isdn0

install -d $RPM_BUILD_ROOT/%{_initrddir}
install init.d/isdn4linux $RPM_BUILD_ROOT/%{_initrddir}
install init.d/isdnlog $RPM_BUILD_ROOT/%{_initrddir}

install -d $RPM_BUILD_ROOT/%{_sysconfdir}/sysconfig
install defaults/isdn $RPM_BUILD_ROOT/%{_sysconfdir}/sysconfig/isdn

install -d $RPM_BUILD_ROOT/%{_sysconfdir}/isdn/profile
install -m 644 defaults/ippp.default $RPM_BUILD_ROOT/%{_sysconfdir}/isdn/profile/ippp.default
install -m 644 defaults/isdn.default $RPM_BUILD_ROOT/%{_sysconfdir}/isdn/profile/isdn.default
install -m 644 defaults/isdn.map $RPM_BUILD_ROOT/%{_sysconfdir}/isdn/profile/isdn.map
install -m 644 defaults/ippp.map $RPM_BUILD_ROOT/%{_sysconfdir}/isdn/profile/ippp.map

install -d $RPM_BUILD_ROOT/%{_sysconfdir}/isdn/profile/card
install -m 644 defaults/mycard $RPM_BUILD_ROOT/%{_sysconfdir}/isdn/profile/card/mycard

install -d $RPM_BUILD_ROOT/%{_sysconfdir}/isdn/profile/link
install -m 644 defaults/myisp $RPM_BUILD_ROOT/%{_sysconfdir}/isdn/profile/link/myisp
install -m 644 defaults/my_isdnlog.conf $RPM_BUILD_ROOT/%{_sysconfdir}/isdn/my_isdnlog.conf

install -d $RPM_BUILD_ROOT/%{_sysconfdir}/isdn/budget
# Install frontend
install -d $RPM_BUILD_ROOT/%{_bindir}
install bin/isdn $RPM_BUILD_ROOT/%{_bindir}/isdn

%post
echo -n "Activating isdn4linux card init:"
%_post_service isdn4linux
%_post_service isdnlog
echo " done."

%preun
echo -n "Deactivating isdn4linux card init:"
%_preun_service isdn4linux
%_preun_service isdnlog
echo " done."

%clean
rm -fr %buildroot

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/sysconfig/network-scripts/ifup-ippp
%config(noreplace) %{_sysconfdir}/sysconfig/network-scripts/ifdown-ippp
%config(noreplace) %{_sysconfdir}/sysconfig/network-scripts/ifup-isdn
%config(noreplace) %{_sysconfdir}/sysconfig/network-scripts/ifdown-isdn
%config(noreplace) %{_initrddir}/isdn4linux
%config(noreplace) %{_initrddir}/isdnlog
%{_bindir}/isdn
%config(noreplace) %{_sysconfdir}/sysconfig/isdn
%config(noreplace) %{_sysconfdir}/sysconfig/network-scripts/ifcfg-ippp0
%config(noreplace) %{_sysconfdir}/isdn/profile/ippp.default
%config(noreplace) %{_sysconfdir}/isdn/profile/isdn.default
%config(noreplace) %{_sysconfdir}/isdn/profile/ippp.map
%config(noreplace) %{_sysconfdir}/isdn/profile/isdn.map
%config(noreplace) %{_sysconfdir}/isdn/profile/link/myisp
%config(noreplace) %{_sysconfdir}/isdn/profile/card/mycard
%config(noreplace) %{_sysconfdir}/isdn/my_isdnlog.conf
%doc defaults
%doc samples
%doc doc
%doc README
%dir %{_sysconfdir}/isdn/profile
%dir %{_sysconfdir}/isdn/profile/link
%dir %{_sysconfdir}/isdn/profile/card
%dir %{_sysconfdir}/isdn/budget

%changelog
* Wed Nov 08 2006 Texstar <texstar@houston.rr.com> 1.4.6-13pclos2007
- Build for PCLinuxOS 2007

